<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Schedules Management</title>

    <!-- Custom fonts for this template -->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link
        href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <link href="css/style.css" rel="stylesheet">
    <link href="css/sb-admin-2.min.css" rel="stylesheet">
    <link href="vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">
    <script src="vendor/jquery/jquery.min.js"></script>
</head>

<body id="page-top">

    <!-- Page Wrapper -->
    <div id="wrapper">

        <!-- Sidebar -->
        <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

            <!-- Sidebar - Brand -->
            <a class="sidebar-brand d-flex align-items-center justify-content-center" href="index.html">
                <div class="sidebar-brand-icon rotate-n-15">
                    <i class="fas fa-laugh-wink"></i>
                </div>
                <div class="sidebar-brand-text mx-3">Shipment Trip Admin</div>
            </a>

            <!-- Divider -->
            <hr class="sidebar-divider my-0">

            <!-- Nav Item - Dashboard -->
            <li class="nav-item">
                <a class="nav-link" href="index.html">
                    <i class="fas fa-fw fa-tachometer-alt"></i>
                    <span>Dashboard</span></a>
            </li>
            <div class="sidebar-heading">
                Data Management
            </div>
            <li class="nav-item active">
                <a class="nav-link" href="location-management.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Locations</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="station-management.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Stations</span></a>
              </li>
            <li class="nav-item active">
                <a class="nav-link" href="boat-management.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Boats</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="schedule-management.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Schedules</span></a>
            </li>
            <li class="nav-item active">
                <a class="nav-link" href="ticket-management.html">
                    <i class="fas fa-fw fa-table"></i>
                    <span>Tickets</span></a>
            </li>

            <!-- Divider -->
            <hr class="sidebar-divider d-none d-md-block">

            <!-- Sidebar Toggler (Sidebar) -->
            <div class="text-center d-none d-md-inline">
                <button class="rounded-circle border-0" id="sidebarToggle"></button>
            </div>

        </ul>
        <!-- End of Sidebar -->

        <!-- Content Wrapper -->
        <div id="content-wrapper" class="d-flex flex-column">

            <!-- Main Content -->
            <div id="content">

                <!-- Topbar -->
                <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                    <!-- Sidebar Toggle (Topbar) -->
                    <form class="form-inline">
                        <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">
                            <i class="fa fa-bars"></i>
                        </button>
                    </form>

                    <!-- Topbar Navbar -->
                    <ul class="navbar-nav ml-auto">

                        <div class="topbar-divider d-none d-sm-block"></div>

                        <!-- Nav Item - User Information -->
                        <li class="nav-item dropdown no-arrow" id="ref-topbar">
                            <script>
                              $("#ref-topbar").load("topbar.html");
                            </script>
                        </li>

                    </ul>

                </nav>
                <!-- End of Topbar -->

                <!-- Begin Page Content -->
                <div class="container-fluid">

                    <!-- Page Heading -->
                    <h1 class="h3 mb-2 text-gray-800">Schedules Management</h1>
                    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createModal">New Schedule</button>
                    <select required class="custom-select" id="searchBoat">
                    </select>
                    <div class="card shadow mb-4">
                        <div class="card-header py-3">
                            <h6 class="m-0 font-weight-bold text-primary">DataTables</h6>
                        </div>
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                                    <thead>
                                        <tr>
                                            <th>Boat</th>
                                            <th>Departure - Arrival Time</th>
                                            <th>Departure</th>
                                            <th>Destination</th>
                                            <th>Days of week</th>
                                            <th>Price</th>
                                            <th>Active</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody id="scheList">
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>

                </div>
                <!-- /.container-fluid -->

            </div>
            <!-- End of Main Content -->

            <!-- Footer -->
            <footer class="sticky-footer bg-white">
                <div class="container my-auto">
                    <div class="copyright text-center my-auto">
                        <span>Copyright Shipment Trip</span>
                    </div>
                </div>
            </footer>
            <!-- End of Footer -->

        </div>
        <!-- End of Content Wrapper -->

    </div>
    <!-- End of Page Wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
        <i class="fas fa-angle-up"></i>
    </a>

    
    <div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="createModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Create New Schedule</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <form id="createForm">
            <div class="modal-body">
                <div class="form-group">
                    <select required class="custom-select" id="sBoat">
                      </select>
                  </div>
                <div class="form-group">
                  <label for="tDeparture" class="col-form-label">Departure and Arrival Time:</label>                  
                  <div class="form-group row">
                  <div class="col-sm-4 mb-3 mb-sm-0">
                        <input type="time" required class="form-control departuretime">
                    </div>
                    <div class="col-sm-4">
                        <input type="time" required class="form-control arrivaltime">
                    </div>
                    <div class="col-sm-4">
                        <a href="#" onclick="addTimeval()" class="btn btn-success btn-sm" title="Add">Add</a>
                    </div>
                 </div>
                 <div class="form-group" id="timevalsFields"></div>
                </div>
                  <div class="form-group">
                    <label for="sDeparture" class="col-form-label">Departure:</label>
                    <select required class="custom-select" id="sDeparture">
                      </select>
                  </div>
                  <div class="form-group">
                    <label for="sArrival" class="col-form-label">Arrival:</label>
                    <select required class="custom-select" id="sArrival">
                      </select>
                  </div>
                <div class="form-group">
                    <label for="dow" class="col-form-label">Days of week:</label>
                    <div class="checkbox-group">
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="0">Sunday &emsp;
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="1">Monday &emsp;
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="2">Tuesday &emsp;
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="3">Wednesday <br>
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="4">Thursday &emsp;
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="5">Friday &emsp;
                        <input class="checkbox-dow" type="checkbox" name="dow[]" value="6">Saturday &emsp;
                    </div>
                  </div>
                <div class="form-group">
                  <label for="txtPrice" class="col-form-label">Price:</label>
                  <input type="number" class="form-control" required id="txtPrice">
                </div>
                <div class="form-group">
                  <label for="txtDescription" class="col-form-label">Description:</label>
                  <textarea class="form-control" id="txtDescription"></textarea>
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Create</button>
            </div>
        </form>
          </div>
        </div>
      </div>

      <div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Edit Schedule</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <form id="editForm">
            <div class="modal-body">
                <input type="hidden" id="txtId">
                <div class="form-group">
                    <select required class="custom-select" id="sEditBoat">
                      </select>
                  </div>
                <div class="form-group">
                  <label class="col-form-label">Departure and Arrival Time:</label>                  
                  <div class="form-group row">
                  <div class="col-sm-4 mb-3 mb-sm-0">
                        <input type="time" required class="form-control editdeparturetime">
                    </div>
                    <div class="col-sm-4">
                        <input type="time" required class="form-control editarrivaltime">
                    </div>
                    <div class="col-sm-4">
                        <a href="#" onclick="addEditTimeval()" class="btn btn-success btn-sm" title="Add">Add</a>
                    </div>
                 </div>
                 <div class="form-group" id="edittimevalsFields"></div>
                  </div>
                  <div class="form-group">
                    <label for="sEditDeparture" class="col-form-label">Departure:</label>
                    <select required class="custom-select" id="sEditDeparture">
                      </select>
                  </div>
                  <div class="form-group">
                    <label for="sEditDeparture" class="col-form-label">Arrival:</label>
                    <select required class="custom-select" id="sEditArrival">
                      </select>
                  </div>
                <div class="form-group">
                    <label for="dow" class="col-form-label">Days of week:</label>
                    <div class="required">
                        <input class="checkbox-dow-edit" type="checkbox" id="dow0" value="0">Sunday &emsp;
                        <input class="checkbox-dow-edit" type="checkbox" id="dow1" value="1">Monday &emsp;
                        <input class="checkbox-dow-edit" type="checkbox" id="dow2" value="2">Tuesday &emsp;
                        <input class="checkbox-dow-edit" type="checkbox" id="dow3" value="3">Wednesday <br>
                        <input class="checkbox-dow-edit" type="checkbox" id="dow4" value="4">Thursday &emsp;
                        <input class="checkbox-dow-edit" type="checkbox" id="dow5" value="5">Friday &emsp;
                        <input class="checkbox-dow-edit" type="checkbox" id="dow6" value="6">Saturday &emsp;
                    </div>
                  </div>
                  <div class="form-group">
                    <label for="txtEditPrice" class="col-form-label">Price:</label>
                    <input type="number" class="form-control" required id="txtEditPrice">
                  </div>
                <div class="form-group">
                  <label for="txtEditDescription" class="col-form-label">Description:</label>
                  <textarea class="form-control" id="txtEditDescription"></textarea>
                </div>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
              <button type="submit" class="btn btn-primary">Update</button>
            </div>
        </form>
          </div>
        </div>
      </div>

    <!-- Bootstrap core JavaScript-->
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>

    <!-- Page level plugins -->
    <script src="vendor/datatables/jquery.dataTables.min.js"></script>
    <script src="vendor/datatables/dataTables.bootstrap4.min.js"></script>

    <!-- Page level custom scripts -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/axios/0.19.2/axios.min.js"></script>
    <script src="http://ajax.aspnetcdn.com/ajax/jquery.validate/1.11.1/jquery.validate.min.js"></script>
    <script src="js/controller/schedule.js"></script>
</body>

</html>